# Generated by Django 4.2.3 on 2023-07-06 16:49

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    replaces = [('dashboard', '0001_initial'), ('dashboard', '0002_alter_project_start_date_alter_task_start_date_and_more'), ('dashboard', '0003_alter_project_start_date_alter_sprint_start_sprint_and_more'), ('dashboard', '0004_alter_project_start_date_alter_sprint_start_sprint_and_more'), ('dashboard', '0005_alter_project_start_date'), ('dashboard', '0006_alter_project_start_date'), ('dashboard', '0007_alter_project_start_date')]

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('start_date', models.DateField(default=datetime.date(2023, 7, 3))),
                ('due_date', models.DateField()),
                ('status', models.CharField(choices=[('PG', 'Pending'), ('IP', 'In progress'), ('CM', 'Completed'), ('BH', 'Behind')], default='PG', max_length=20)),
                ('collaborators', models.ManyToManyField(related_name='collaborating_projects', to=settings.AUTH_USER_MODEL)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='owned_projects', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.TextField()),
                ('start_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('due_date', models.DateTimeField()),
                ('status', models.CharField(choices=[('YS', 'Yet to start'), ('IP', 'In progress'), ('IR', 'In review'), ('FN', 'Finished')], default='YS', max_length=20)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('last_status_change', models.DateTimeField(editable=False, null=True)),
                ('time_spent', models.DurationField(blank=True, null=True)),
                ('assigned_to', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_tasks', to=settings.AUTH_USER_MODEL)),
                ('project', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tasks', to='dashboard.project')),
            ],
        ),
        migrations.CreateModel(
            name='Sprint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('start_sprint', models.DateTimeField(default=django.utils.timezone.now)),
                ('end_sprint', models.DateTimeField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_sprint', to='dashboard.project')),
                ('task', models.ManyToManyField(related_name='task_sprint', to='dashboard.task')),
            ],
        ),
    ]
